# Su çiləyicilər

Vasifin bir düz xətt üzərində əkilmiş $M$ çiçəkdən ibarət gözəl çiçək bağı var.
Vasif bu xətt üzərində çiçəklərini suvarmaq üçün $N$ sayda su çiləyici də yerləşdirib.

Su çiləyicilərin yerləşdiyi yerlər $s_{1},\ldots,s_{N}$ ədədləri ilə verilir.
Çiçəklərin yerləşdiyi yerlər $f_{1},\ldots,f_{M}$ ədədləri ilə verilir.
Hər ikisi azalmayan sırada verilir, yəni:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Vasif tezliklə CEOI-yə gedəcək. O, uzaqda olarkən bütün çiçəklərinin düzgün suvarıldığından əmin olmaq istəyir. Bunun üçün o, hər bir su çiləyicini ayrı-ayrılıqda sola və ya sağa çevirir və onların ortaq çiləmə gücünü təyin edir — bütün su çiləyicilər eyni su xəttinə bağlıdır və buna görə də eyni məsafədə su çiləyir.

Əgər çiləmə gücü $K$ olarsa və $i$-ci su çiləyici sola çevrilibsə, o, $s_{i} - K$ və $s_{i}$ (hər ikisi daxil) arasındakı bütün yerləri suvaracaq.
Oxşar şəkildə, əgər $j$-ci su çiləyici sağa çevrilibsə, o, $s_{j}$ və $s_{j} + K$ (hər ikisi daxil) arasındakı bütün yerləri suvaracaq.  Bir çiləyici çoxlu çiçəyi suvara bilər və bir çiçək birdən çox çiləyici tərəfindən suvarıla bilər.

Sizin tapşırığınız bütün çiçəkləri suvarmağın mümkün olub-olmadığına qərar verməkdir. Əgər mümkündürsə, su çiləyicilərin minimum kifayət edən çiləmə gücünü və bununla yanaşı onların müvafiq konfiqurasiyasını tapmalısınız.

Minimum çiləmə gücünə uyğun gələn bir neçə düzgün konfiqurasiya varsa, onlardan hər hansı birini çıxarın.


## Giriş verilənləri
Birinci sətirdə boşluqla ayrılmış iki tam ədəd, $N$ və $M$ verilir. 
İkinci sətirdə boşluqla ayrılmış $N$ sayda tam ədəd, $s_{1},\ldots,s_{N}$ — su çiləyicilərin yerləri verilir.
Üçüncü sətirdə boşluqla ayrılmış $M$ sayda tam ədəd $f_{1},\ldots,f_{M}$ — çiçəklərin yerləri verilir.

<div style='page-break-after: always'></div>

## Çıxış verilənləri
Əgər bütün çiçəkləri suvarmaq mümkün deyilsə, $-1$ çap edin.

Əgər mümkündürsə, çıxış iki sətirdən ibarət olmalıdır.
Birinci sətirdə bir ədəd, $K$ — bütün çiçəkləri suvarmaq üçün lazım olan minimum çiləmə gücünü çap edin.
İkinci sətirdə $N$ uzunluqlu $c$ sətrini çap edin. Burada $c_i$ `L` olarsa $i$-ci su çiləyici sola, `R` olarsa sağa çevrilməlidir.  

## Nümunələr

### Nümunə 1
Giriş:
```
3 3
10 10 10
5 11 16
```

Çıxış:
```
6
LLR
```

Verilmiş həll düzgündür — hər bir çiçək ən azı bir çiləyici ilə suvarılır.

6-dan aşağı çiləmə gücü mümkün deyil, çünki 16-da yerləşən çiçək ən yaxın çiləyicidən 6 vahid məsafədədir.

### Nümunə 2
Giriş:
```
1 2
1000
1 2000
```

Çıxış:
```
-1
```

Yeganə su çiləyicinin istiqamətindən asılı olmayaraq, eyni anda ən çoxu bir çiçək suvarıla bilər.

## Məhdudiyyətlər
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ ($1 \leq i \leq N$ olan hər bir $i$ üçün)
- $0 \leq f_{i} \leq 10^9$ ($1 \leq i \leq M$ olan hər bir $i$ üçün)
- $s_{i} \leq s_{j}$ bütün $i \leq j$ üçün
- $f_{i} \leq f_{j}$ bütün $i \leq j$ üçün

## Alt tapşırıqlar

1. (3 bal) $N = 1$
2. (6 bal) $N = 3x$ ($x$ tam ədəddir), $s_{3i+1}=s_{3i+2}=s_{3i+3}$ $0 \leq i \leq x-1$ olan hər bir $i$ üçün (yəni su çiləyicilər həmişə üçlü qruplar şəklində yerləşdirilir)
3. (17 bal) $N \leq 10, M \leq 1\,000$
4. (27 bal) $K \leq 8$
   (yəni bütün testlərdə su çiləyicilərin elə konfiqurasiyası mövcuddur ki, ən çox 8 çiləmə gücü bütün çiçəkləri suvarmaq üçün kifayətdir.)
5. (47 bal) _əlavə məhdudiyyət yoxdur_