# Zavlažovače

Václav vlastní překrásnou zahrádku, která se skládá z $M$ květin vysazených na rovné čáře.  Na ni Václav také umístil $N$ zavlažovačů, jimiž květiny zalévá.

Čísla $s_{1},\ldots,s_{N}$ udávají pozice zavlažovačů (jejich vzdálenost od začátku čáry v metrech) a čísla  $f_{1},\ldots,f_{M}$ stejným způsobem udávají pozice květin.  Obě tyto posloupnosti čísel máte zadané v neklesajícím pořadí, platí tedy:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Václav vyráží na CEOI a musí zajistit, aby všechny jeho květiny byly pravidelně zalévány, zatímco bude pryč. Toho chce dosáhnout tím, že každý zavlažovač nastaví tak, aby mířil doleva nebo doprava (ne nutně všechny stejně), a vhodně zvolí tlak $K$ ve společné trubce, na niž jsou všechny zavlažovače napojeny.

Tím dosáhne toho, že je-li $i$-tý zavlažovač namířen doleva, zalije všechny květiny na pozicích od $s_{i} - K$ do $s_{i}$ (včetně), a je-li namířen doprava, zalije všechny květiny na pozicích od $s_{i}$ do $s_{i} + K$ (včetně).  Zavlažovač tedy může zalévat i několik různých květin. Také nevadí, když jednu květinu zalévá více zavlažovačů.

Určete, jaký nejmenší tlak $K$ postačuje (při vhodném nasměrování zavlažovačů) k tomu, aby všechny květiny byly zalité, nebo rozhodněte, že žádný tlak na to nestačí.  V případě kladné odpovědi také nalezněte odpovídající způsob nasměrování jednotlivých zavlažovačů, který dosáhne toho, že při tlaku $K$ jsou všechny květiny zalité.  Existuje-li více takových způsobů, můžete vypsat libovolný z nich.

## Vstup

První řádka vstupu obsahuje dvě kladná celá čísla $N$ a $M$ oddělená mezerou.
Druhá řádka obsahuje $N$ nezáporných celých čísel $s_{1},\ldots,s_{N}$ v neklesajícím pořadí, udávajících pozice zavlažovačů. Tato čísla jsou oddělená mezerami.
Třetí řádka obsahuje $M$ nezáporných celých čísel $f_{1},\ldots,f_{M}$ v neklesajícím pořadí, udávajících pozice květin. Tato čísla jsou také oddělená mezerami.

## Výstup
Jestliže není možné zalít všechny květiny při žádném nastavení tlaku, vypište pouze číslo $-1$.

Jinak se výstup skládá ze dvou řádek.
Na první z nich vypište číslo $K$, nejmenší tlak postačující k zalití všech květin. Na druhou řádku výstupu vypište řetězec $c=c_1c_2\ldots c_{N}$ délky $N$ popisující způsob nasměrování zavlažovačů takový, že všechny květiny jsou při tlaku $K$ zalité.  V řetězci $c$ je znak  $c_i$ roven `L`, jestliže $i$-tý zavlažovač je v tomto způsobu nasměrování namířen doleva, a `R`, jestliže je namířen doprava.

## Příklady

### Příklad 1
Vstup:
```
3 3
10 10 10
5 11 16
```

Výstup:
```
6
LLR
```

Popsané nasměrování při tlaku $6$ zajistí, že každá květina je zalévána alespoň jedním zavlažovačem.  Tlak nižší než $6$ nestačí, jelikož květina na pozici $16$ je $6$ metrů od nejbližšího zavlažovače.

### Příklad 2
Vstup:
```
1 2
1000
1 2000
```

Výstup:
```
-1
```

Jediný zavlažovač nemůže zároveň zalévat květinu nalevo i napravo od něj.

## Omezení
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (pro každé $i$ tž. $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (pro každé $i$ tž. $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ pro každé $i \leq j$
- $f_{i} \leq f_{j}$ pro každé $i \leq j$

## Podúlohy

1. (3 body) $N = 1$
2. (6 bodů) $N = 3x$ pro nějaké kladné celé číslo $x$ a $s_{3i+1}=s_{3i+2}=s_{3i+3}$ (pro každé $i$ tž. $0 \leq i \leq x-1$). Tj., zavlažovače jsou umístěny ve skupinách po třech.
3. (17 bodů) $N \leq 10, M \leq 1\,000$
4. (27 bodů) $K \leq 8$
   (tj., pro každý testovací vstup existuje způsob nasměrování zavlažovačů, který zalije všechny květiny při tlaku $8$ nebo menším)
5. (47 bodů) _bez dalších omezení_
