# Burn it to the ground!
Florian und Jakob sind Nachbaren in einem schönen Vorort Innsbrucks. Dort schlägt Jakobs Herz für seine große Liebe: seinen wunderschönen und gut gepflegten Blumengarten. Da er aber vor langer Zeit Florian im Kartenspiel Set besiegt hat, ist Florian immer noch wütend und würde gerne Jakobs Garten dem Erdboden gleich machen. 

Eines Tages fährt Jakob als Deputy Leader zur CEOI und Florian nicht. So hat dieser die Zeit sich einen Plan zu überlegen und diesen anschließend in die Tat umzusetzten.

Jakobs Garten besteht aus $M$ Blumen, welche in einer geraden Linie gepflanzt wurden. Auf derselben Linie hat Florian $N$ Flammenwerfer vergraben. Die Positionen der Blumen sind definiert durch die Nummern $s_{1},\ldots,s_{N}$, analog dazu haben die Positionen der Flammenwerfer die Nummern $f_{1},\ldots,f_{M}$. Beide Zahlensätze werden in einer nicht-absteigenden Reihenfolge angegeben, d.h.:

- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Florians Ziel ist es, bei Jakobs Rückkehr alle Flammenwerfer gleichzeitig mit Benzin zu versorgen und alle von Jakobs Blumen vor dessen Augen abbrennen zu lassen. Hierfür muss er jeden Flammenwerfer entweder auf die Blumen links oder rechts von diesem richten. Zusätzlich muss er noch den Druck auf der gemeinsamen Benzinzufuhr für alle Flammenwerfer einstellen. Der Druck regelt die Reichweite der Flammenwerfer, welche bei allen gleich ist.

Wenn der Druck $K$ ist und der $i$-te Flammenwerfer in Richtung links ausgerichtet ist, brennt dieser die Blumen mit den Positionen $s_{i} - K$ bis $s_{i}$ ab - beide Enden inklusive. Selbiges gilt, wenn der $j$-te Flammenwerfer nach rechts ausgerichtet ist für die Blumen $s_{j}$ bis $s_{j} + K$ - auch wieder inklusive. Das heißt, dass ein Flammenwerfer mehrere Blumen abbrennen kann und eine Blume von mehreren Flammenwerfern vernichtet werden kann. 

Deine Aufgabe ist es herauszufinden, ob es möglich ist alle Blumen auf einmal zu vernichten. Wenn ja, sollst du den minimal möglichen Druck $K$ herausfinden, damit nicht unnötig viel Benzin verbraucht wird und Achi dem Ministerium nicht so viel verrechnen muss. Zusätzlich sollst du die dazugehörigen Ausrichtungen der Flammenwerfer herausfinden - wenn es mehrere Möglichkeiten gibt, reicht eine.

Wenn es mehrere richtige Ausrichtungen für die Flammenwerfer gibt, gib eine davon aus. Sollte es jedoch nicht möglich sein alle Flammen abzubrennen gib $-1$ aus.

## Eingabe
Die erste Zeile besteht aus zwei Ganzzahlen: $N$ und $M$ - die Anzahl der Flammenwerfer und die Anzahl der Blumen. In Zeile zwei sind $N$ Ganzzahlen $s_{1},\ldots,s_{N}$, welche die Positionen der Flammenwerfer angeben. Zeile drei enthält $M$ Ganzzahlen $f_{1},\ldots,f_{M}$ mit den Positionen der Blumen. Alle Zahlen sind entweder durch ein Leerzeichen oder einen Absatz voneinander getrennt.

## Ausgabe
Wenn es keinen Weg gibt alle Blumen auf einmal abzubrennen gib die Zahl $-1$ aus.

Wenn es möglich ist, muss die Ausgabe aus zwei Zeilen bestehen. Zeile eins enthält die Zahl $K$ und Zeile zwei besteht aus einem String $c$ der Länge $N$, so dass $c_i$  ein `L` ist, wenn der $i$-te Flammenwerfer nach links schaut und ein `R` wenn er nach rechts schaut.

## Beispiele

### Beispiel 1
Eingabe:
```
3 3
10 10 10
5 11 16
```

Ausgabe:
```
6
LLR
```

Die gegebene Antwort stimmt, da jede Blume von mindestens einem Flammenwerfer getroffen wird. Ein Druck kleiner 6 ist nicht möglich, da die Blume an Position 16 genau 6 Einheiten vom nähesten Flammenwerfer entfernt ist.

<div style='page-break-after: always'></div>

### Beispiel 2
Eingabe:
```
1 2
1000
1 2000
```

Ausgabe:
```
-1
```

Maximal eine Blume kann vom Flammenwerfer getroffen werden, egal in welche Richtung dieser gedreht ist.

## Beschränkungen
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (für jedes $i$ mit $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (für jedes $i$ mit $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ für alle $i \leq j$
- $f_{i} \leq f_{j}$ für alle $i \leq j$

## Teilaufgaben

1. (3 Punkte) $N = 1$
2. (6 Punkte) $N = 3x$ für eine Ganzzahl $x$; $s_{3i+1}=s_{3i+2}=s_{3i+3}$ (für jedes $i$ mit $0 \leq i \leq x-1$, d.h. die Flammenwerfer sind immer zu dritt am selben Platz)
3. (17 Punkte) $N \leq 10, M \leq 1\,000$
4. (27 Punkte) $K \leq 8$
   (z.B., in allen Testfällen existiert eine Ausrichtung der Flammenwerfer, so dass der Druck maximal 8 (oder kleiner) sein muss, um alle Blumen dem Erdboden gleich zu machen)
5. (47 Punkte) _keine weiteren Beschränkungen_
