# Sprinkleranlage

Stofl hat einen schönen Blumengarten, der aus $M$ Blumen besteht, die in einer Linie gepflanzt sind.
Auf dieser Linie hat Stofl auch $N$ Sprinkler platziert, um die Blumen zu bewässern.

Die Positionen der Sprinkler sind gegeben mit den Zahlen $s_{1},\ldots,s_{N}$.
Die Positionen der Blumen sind gegeben mit den Zahlen $f_{1},\ldots,f_{M}$.
Beide sind in nicht absteigend Reihenfolge gegeben, das heisst:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Stofl reist bald zur CEOI. Er würde gerne sicherstellen, dass alle seine Blumen richtig bewässert sind, während er weg ist. Um dies zu erreichen, dreht er jeden Sprinkler individuel nach links oder nach rechts und setzt ihre gemeinsame Sprühkraft — alle Sprinkler teilen den gleichen Wasserschlauch, und können deshalb gleich weit Sprühen.

Falls die Sprühkraft $K$ ist und der $i$-te Sprinkler nach links gedreht ist, wird dieser alle Blumen mit Positionen zwischen $s_{i} - K$ und $s_{i}$ (inklusive) bewässern.
Ähnliches gilt falls der $j$-te Sprinkler nach rechts gedreht ist, wird dieser alle Blumen mit Positionen zwischen $s_{j}$ und $s_{j} + K$ (inklusive) bewässern.
Ein einzelner Sprinkler kann mehrere Blumen bewässern und eine einzelne Blume kann von mehreren Sprinkler bewässert werden.

Deine Aufgabe ist zu entscheiden ob es möglich ist alle Blumen zu bewässern. Wenn ja, solltest du die minimale Sprühkraft, und eine dazugehörige Sprinklerkonfiguration finden. Falls es mehrere valide Sprinklerkonfigurationen mit der minimalen Sprühkraft gibt, kannst du eine beliebige davon ausgeben.
<div style='page-break-after: always'></div>
## Eingabe
Die erste Zeile der Eingabe enthält zwei ganze Zahlen: $N$ und $M$, getrennt durch ein Leerzeichen.

Die zweite Zeile enthält $N$, durch Leerzeichen getrennte, ganze Zahlen $s_{1},\ldots,s_{N}$ — die Positionen der Sprinkler.

Die dritte Zeile enthält $M$, durch Leerzeichen getrennte, ganze Zahlen $f_{1},\ldots,f_{M}$ — die Positionen der Blumen.

## Ausgabe
Falls es nicht möglich ist, alle Blumen zu bewässern, gebe die Zahl $-1$ aus.

Falls es möglich ist, sollte die Ausgabe aus zwei Zeilen bestehen.
Auf der ersten Zeile sollst du die Zahl $K$ — die minimal benötigte Sprühkraft um alle Blumen zu bewässern.
Auf der zweiten Zeile sollst du eine Zeichenkette $c$ der Länge $N$ ausgeben, sodass $c_i$ entweder `L` ist, falls der $i$-te Sprinkler nach links zeigen soll, oder `R` ist, falls der $i$-te Sprinkler nach rechts zeigen soll.

## Beispiele

### Beispiel 1
Eingabe:
```
3 3
10 10 10
5 11 16
```

Ausgabe:
```
6
LLR
```

Die angegebene Lösung ist korrekt — jede Blume ist durch mindestens ein Sprinkler bewässert.
Eine Sprühkraft von strikt kleiner als 6 ist nicht möglich,
da die Distanz von der Blume auf Position 16 zum nächsten Sprinkler 6 Einheiten ist.
<div style='page-break-after: always'></div>
### Beispiel 2
Eingabe:
```
1 2
1000
1 2000
```

Ausgabe:
```
-1
```

Höchstens eine Blume kann zum gleichen Zeitpunkt bewässert werden,
egal wie der eine Sprinkler orientiert ist.

## Beschränkungen
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (für alle $i$ sodass $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (für alle $i$ sodass $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ für alle $i \leq j$
- $f_{i} \leq f_{j}$ für alle $i \leq j$

## Teilaufgaben

1. (3 Punkte) $N = 1$
2. (6 Punkte) $N = 3x$ für eine positive ganze Zahl $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ (für alle $i$ sodass $0 \leq i \leq x-1$) (d.h. Sprinkler sind immer in Dreiergruppen platziert)
3. (17 Punkte) $N \leq 10, M \leq 1\,000$
4. (27 Punkte) $K \leq 8$
   (d.h., in allen Testfällen existiert eine Sprinklerkonfiguration, sodass eine Sprühkraft von höchstens 8 genügend ist, um alle Blumen zu bewässern)
5. (47 Punkte) _keine weiteren Beschränkungen_
