# Rasensprinkler

Václav besitzt einen wunderschönen Rosengarten mit $M$ Rosen, die in einer einzigen Reihe gepflanzt wurden.
In dieser Reihe befinden sich zusätzlich $N$ Sprinkler, mit denen die Blumen gewässert werden.

Die Positionen dieser Sprinkler werden beschrieben durch die Zahlen $s_{1},\ldots,s_{N}$. Analog befinden sich die Rosen
an den Positionen $f_{1},\ldots,f_{M}$.
Beide Zahlenfolgen sind nicht-absteigend geordnet, das heißt:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Václav reist demnächt zur CEOI. Deswegen möchte er sicherstellen, dass all seine Rosen in seiner Abwesenheit ausreichend mit Wasser versorgt werden. Um das zu erreichen, dreht er jeden einzelnen Sprinkler entweder nach rechts oder nach links. Außerdem stellt er eine gemeinsame Reichweite für alle Sprinkler ein. Diese muss für alle Sprinkler gleich sein, weil sie an einen
gemeinsamen Wasserschlauch angeschlossen sind.

Wenn diese Reichweite $K$ ist und der $i$-te Sprinkler nach links gedreht ist, bewässert er alle Blumen mit Positionen zwischen $s_{i} - K$ und $s_{i}$ (inklusive). Ist der $j$-te Sprinkler nach rechts gedreht, so bewässert er analog alle Blumen mit Positionen zwischen $s_{j}$ und $s_{j} + K$ (inklusive). Es ist möglich, dass ein einziger Sprinkler mehrere Blumen bewässert oder dass eine einzige Blume Wasser aus mehreren Sprinklern enthält.

Du musst entscheiden, ob es möglich ist, alle Rosen zu bewässern. Wenn dem so ist, musst du herausfinden, welche Reichweite die Sprinkler dafür mindestens haben müssen und eine dazügehörige Konfiguration der Sprinkler ausgeben. Falls es mehrere Konfigurationen mit minimaler Reichweite gibt, wird jede von ihnen akzeptiert.

## Eingabe
Die erste Zeile der Eingabe enthält zwei durch ein Leerzeichen voneinander getrennte Ganzzahlen: $N$ und $M$.
Die zweite Zeile enthält $N$ durch Leerzeichen voneinander getrennte Ganzzahlen $s_{1},\ldots,s_{N}$ — die Positionen der Sprinkler.
Die dritte Zeile enthält $M$ durch Leerzeichen voneinander getrennte Ganzzahlen $f_{1},\ldots,f_{M}$ — die Positionen der Blumen.

## Ausgabe
Wenn es nicht möglich ist, alle Blumen zu bewässern, musst du $-1$ ausgeben.

Ist es möglich, sollte die Ausgabe aus zwei Zeilen bestehen. In der ersten Zeile musst du $K$ ausgeben,
also die minimale Reichweite, die nötig ist, um alle Blumen zu bewässern. In der zweiten Zeile musst du einen
String $c$ der Länge $N$ ausgeben, sodass $c_i$ den Wert `L` hat, wenn der $i$-te Sprinkler nach links gedreht werden soll und ansonsten `R`.

## Beispiele

### Beispiel 1
Eingabe:
```
3 3
10 10 10
5 11 16
```

Ausgabe:
```
6
LLR
```

Die ausgegebene Konfiguration löst das Problem — jede Rose wird von mindestens einem Sprinkler bewässert.
Eine Reichweite von weniger als 6 ist aber nicht möglich, weil die Rose an Position 16 einen Abstand von 6 zum
nächstgelegenen Sprinkler hat.

### Beispiel 2
Eingabe:
```
1 2
1000
1 2000
```

Ausgabe:
```
-1
```

Es kann nie mehr als eine Rose gleichzeitig gewässert werden, egal wie der einzige vorhandene Sprinkler gedreht wird.

## Beschränkungen
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (für jedes $i$ mit $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (für jedes $i$ mit $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ für alle $i \leq j$
- $f_{i} \leq f_{j}$ für alle $i \leq j$

## Teilaufgaben

1. (3 Punkte) $N = 1$
2. (6 Punkte) $N = 3x$ für eine Ganzzahl $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ für jedes $i$ mit $0 \leq i \leq x-1$ (d.h. die Sprinkler werden immer in Dreiergruppen platziert).
3. (17 Punkte) $N \leq 10, M \leq 1\,000$
4. (27 Punkte) $K \leq 8$
   (d.h. es gibt in allen Testfällen eine Konfiguration von Sprinklern, sodass eine Reichweite von maximal 8 ausreicht, um jede Rose zu bewässern)
5. (47 Punkte) _Keine weiteren Beschränkungen_
