# ממטרות

לואצלב יש גינת פרחים יפה המורכבת מ-$M$ פרחים שנשתלו בשורה יחידה.
בשורה זו, ואצלב מיקם גם $N$ ממטרות כדי להשקות את הפרחים שלו.

מיקומי הממטרות נתונים על ידי המספרים $s_{1},\ldots,s_{N}$.
מיקומי הפרחים נתונים על ידי המספרים $f_{1},\ldots,f_{M}$.
שניהם נתונים בסדר לא יורד, כלומר:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

ואצלב עוזב בקרוב ל-CEOI. הוא מעוניין לוודא שכל הפרחים שלו
מושקים כראוי כשהוא לא נמצא. כדי לעשות זאת, הוא מסובב כל ממטרה
בנפרד שמאלה או ימינה, ומכוונן את כוח ההתזה שלהן —
כל הממטרות חולקות את אותו צינור המים, ולכן מתיזות לאותו המרחק.

אם כוח ההתזה הוא $K$ והממטרה ה-$i$ פונה שמאלה,
היא תשקה את כל הפרחים במיקומים שבין $s_{i} - K$ לבין $s_{i}$ (כולל).
באופן דומה, אם הממטרה ה-$j$ פונה ימינה, היא תשקה את כל הפרחים
במיקומים שבין $s_{j}$ לבין $s_{j} + K$ (כולל). ממטרה יחידה יכולה
להשקות מספר פרחים ופרח יחיד יכול להיות מושקה על ידי מספר ממטרות.

משימתכם היא לקבוע האם זה אפשרי להשקות את כל הפרחים. אם כן, עליכם למצוא את 
כוח ההתזה המינימלי המספיק, ביחד עם תצורה מתאימה של ממטרות.
אם קיימות מספר תצורות תקינות עם כוח התזה מינימלי, הדפיסו אחת מהן.

## קלט
שורת הקלט הראשונה מכילה שני מספרים שלמים: $N$ ו-$M$, מופרדים על ידי רווח.
השורה השניה מכילה $N$ מספרים שלמים מופרדים על ידי רווח $s_{1},\ldots,s_{N}$ — מיקומי הממטרות.
השורה השלישית מכילה $M$ מספרים שלמים מופרדים על ידי רווח $f_{1},\ldots,f_{M}$ — מיקומי הפרחים.

## פלט
אם זה בלתי אפשרי להשקות את כל הפרחים, הדפיסו את המספר $-1$.

אם זה אפשרי, על הפלט להיות בנוי משתי שורות.
בשורה הראשונה, פלטו את המספר $K$ – כוח ההתזה המינימלי הנדרש כדי להשקות את
כל הפרחים. בשורה השניה, הדפיסו מחרוזת $c$ באורך $N$, כך ש-$c_i$ הוא `L`
אם הממטרה ה-$i$ צריכה לפנות שמאלה ו-`R` אחרת.

## דוגמאות

### דוגמה 1
קלט:
```
3 3
10 10 10
5 11 16
```

פלט:
```
6
LLR
```

הפתרון הנתון חוקי — כל פרח מושקה על ידי לפחות ממטרה אחת.
כוח התזה נמוך מ-6 לא אפשרי,
כי הפרח במיקום 16 נמצא במרחק של 6 יחידות מהממטרה הקרובה ביותר.

### דוגמה 2
קלט:
```
1 2
1000
1 2000
```

פלט:
```
-1
```

לכל היותר פרח אחד יכול להיות מושקה בבת אחת
ללא קשר לכיוון של הממטרה היחידה.

## מגבלות
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (לכל $i$ המקיים $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (לכל $i$ המקיים $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ לכל $i \leq j$
- $f_{i} \leq f_{j}$ לכל $i \leq j$

## תתי משימות

1. (3 נקודות) $N = 1$
2. (6 נקודות) $N = 3x$ עבור מספר שלם כלשהו $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ לכל $i$ המקיים $0 \leq i \leq x-1$ (כלומר ממטרות תמיד מוצבות בקבוצות של שלוש)
3. (17 נקודות) $N \leq 10, M \leq 1\,000$
4. (27 נקודות) $K \leq 8$
   (כלומר, בכל מקרי המבחן קיימת תצורה של ממטרות כך שכוח
   התזה של לכל היותר 8 יספיק כדי להשקות את כל הפרחים)
5. (47 נקודות) _ללא מגבלות נוספות_





