
# Prskalice

Fabijan ima prekrasan cvjetnjak koji se sastoji od $M$ cvjetova zasađenih u jednoj liniji.
Uplašivši se da će cvijeće uvenuti, Fabijanova žena, znana samo kao gospođa L., poviče: "PRSKAJ FABIJAN, PRSKAAAAAJ!!!! DO KRAJAAAAA!!!"
I tako, na toj liniji, Fabijan je postavio $N$ prskalica za zalijevanje cvijeća.

Pozicije prskalica su zadane brojevima $s_{1},\ldots,s_{N}$.
Pozicije cvjetova su zadane brojevima $f_{1},\ldots,f_{M}$.
Oba su dana u ne-opadajućem redoslijedu, to jest:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Fabijan uskoro odlazi na CEOI. Želio bi se pobrinuti da svi njegovi cvjetovi
budu pravilno zalijevani dok je on odsutan. Kako bi to postigao, okreće svaku prskalicu
pojedinačno ulijevo ili udesno te postavlja njihovu zajedničku snagu prskanja —
sve prskalice dijele isto vodeno crijevo.

Ako je snaga prskanja $K$ i $i$-ta prskalica je okrenuta ulijevo,
zalijevat će sve cvjetove s pozicijama između $s_{i} - K$ i $s_{i}$ (uključivo).
Slično, ako je $j$-ta prskalica okrenuta udesno, zalijevat će sve cvjetove
s pozicijama između $s_{j}$ i $s_{j} + K$ (uključivo). Jedna prskalica može
zalijevati više cvjetova, a jedan cvijet može biti zalijevan s više prskalica.

Vaš zadatak je pronaći minimalnu snagu prskanja potrebnu za zalijevanje svih cvjetova,
zajedno s odgovarajućom konfiguracijom prskalica,
ili odrediti da to nije moguće.
Ako postoji više valjanih konfiguracija prskalica, ispišite bilo koju od njih.

## Ulazni podaci
Prva linija ulaza sadrži dva cijela broja: $N$ i $M$, odvojena razmakom.
Druga linija sadrži $N$ cijelih brojeva $s_{1},\ldots,s_{N}$ — pozicije prskalica.
Treća linija sadrži $M$ cijelih brojeva $f_{1},\ldots,f_{M}$ — pozicije cvjetova.

## Izlazni podaci
Ako nije moguće zalijevati sve cvjetove, ispišite broj $-1$.

Ako je moguće, izlaz treba sadržavati dvije linije.
Na prvoj liniji ispišite broj $K$ – minimalnu snagu prskanja potrebnu za zalijevanje
svih cvjetova. Na drugoj liniji ispišite niz $c$ duljine $N$, takav da je $c_i=L$
ako $i$-ta prskalica treba biti okrenuta ulijevo, a `R` inače.

## Probni primjeri

### Primjer 1
Ulaz:
```
3 3
10 10 10
5 11 16
```

Izlaz:
```
6
LLR
```

Dano rješenje je valjano — svaki cvijet je zalijevan od strane barem jedne prskalice.
Snaga prskanja manja od 6 nije moguća,
jer je cvijet na lokaciji 16 udaljen 6 jedinica od najbliže prskalice.

### Primjer 2
Ulaz:
```
1 2
1000
1 2000
```

Izlaz:
```
-1
```

Najviše jedan cvijet može biti zalijevan u jednom trenutku
bez obzira na orijentaciju jedine prskalice.

## Ograničenja
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (za svaki $i$ takav da $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (za svaki $i$ takav da $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ za sve $i \leq j$
- $f_{i} \leq f_{j}$ za sve $i \leq j$

## Bodovanje

1. (3 boda) $N = 1$
2. (6 bodova) $N = 3x$ za pozitivni cijeli broj $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ za svaki $i$ takav da $0 \leq i \leq x-1$ (tj. prstakice su uvijek postavljene u grupama od 3)
3. (17 bodova) $N \leq 10, M \leq 1\,000$
4. (27 bodova) $K \leq 8$
   (tj. u svakom primjeru postoji konfiguracija prskalica takva da
   snaga prskanja od najviše 8 je dovoljna za zalijevanje svih biljaka)
5. (47 bodova) _bez dodatnih ograničenja_