# Locsolók

Václavnak van egy gyönyörű virágoskertje, amelyben egyetlen egyenes mentén van $M$ virág.
Ezen az egyenesen Václav $N$ locsoló szórófejet is elhelyezett a virágok öntözésére.

A szórófejek pozícióját a $s_{1},\ldots,s_{N}$ számok, míg a virágok pozícióját a $f_{1},\ldots,f_{M}$ számok adják meg.
Mindkét sorozatot nemcsökkenő sorrendben adjuk meg, azaz:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$


Václav hamarosan a CEOI-ra utazik. Szeretne gondoskodni arról, hogy távolléte alatt minden virágja megfelelően legyen megöntözve. Ehhez minden egyes locsolót külön-külön balra vagy jobbra fordítja, és beállítja a közös szórási hatótávolságukat — minden locsoló ugyanarra a vízcsőre van kötve, így ugyanakkora távolságra locsolnak.

Ha a szórási hatótávolság $K$ és az $i$-edik szórófej balra van fordítva, akkor minden olyan virágot megöntöz, amely $s_{i} - K$ és $s_{i}$ között helyezkedik el (a széleket beleértve). Hasonlóképpen, ha a $j$-edik szórófejet jobbra fordítjuk, akkor minden olyan virágot megöntöz, amelynek pozíciója $s_{j}$ és $s_{j} + K$ között van (a széleket beleértve). Egyetlen szórófej több virágot is megöntözhet és egyetlen virágot több szórófej is megöntözhet.

A feladatod az, hogy eldöntsd, hogy lehetséges-e az összes virág megöntözése. Ha igen, akkor határozd meg az ehhez szükséges minimális szórási hatótávolságot, a szórófejek megfelelő irányításával együtt. Ha a minimális hatótávolságot használva a szórófejeknek több megfelelő irányítása is létezik, bármelyiket megadhatod.

## Bemenet
A bemenet első sora két, szóközzel elválasztott egész számot tartalmaz: $N$ és $M$. 

A második sorban $N$ darab, szóközzel elválasztott egész szám van: $s_{1},\ldots,s_{N}$ — a szórófejek pozíciói.

A harmadik sorban $M$ darab, szóközzel elválasztott egész szám van: $f_{1},\ldots,f_{M}$ — a virágok pozíciói.

## Kimenet
Ha nem lehet az összes virágot megöntözni, akkor a kimenetre egyetlen $-1$ számot kell írni.

Ha lehetséges, a kimenet két sorból álljon. 
Az első sorban a $K$ szám legyen - a minimális szórási hatótávolság, amellyel az összes virág megöntözhető. 

A második sorba írj ki egy $N$ hosszúságú $c$ karakterláncot, úgy, hogy $c_i$ legyen `L`, ha az $i$-edik szórófejet balra kell fordítani, és `R`, ha jobbra.

## Példák

### 1. példa
Bemenet:
```
3 3
10 10 10
5 11 16
```

Kimenet:
```
6
LLR
```

A megadott megoldás érvényes — minden virágot legalább egy locsolóval öntözünk.
6-nál kisebb szórási hatótávolság nem lehetséges, mert a 16-os pozíción lévő virág 6 egységnyire van a legközelebbi szórófejtől.


### 2. példa
Bemenet:
```
1 2
1000
1 2000
```

Kimenet:
```
-1
```

Egyszerre legfeljebb egy virágot lehet öntözni, függetlenül az egyetlen locsoló irányításától.

## Korlátok
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (minden $i$-re, ahol $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (minden $i$ -re, ahol $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ minden $i \leq j$ esetén
- $f_{i} \leq f_{j}$ minden $i \leq j$ esetén

## Részfeladatok

1. (3 pont) $N = 1$
2. (6 pont) $N = 3x$ valamely pozitív egész $x$ számra, és $s_{3i+1}=s_{3i+2}=s_{3i+3}$ minden $i$-re, ahol $0 \leq i \leq x-1$ (azaz a locsolók mindig hármas csoportokban vannak elhelyezve).
3. (17 pont) $N \leq 10, M \leq 1\,000$
4. (27 pont) $K \leq 8$ (azaz minden tesztesetben létezik a szórófejeknek olyan irányítása, hogy legfeljebb 8 szórási hatótávolság elegendő az összes virág öntözéséhez)
5. (47 pont) _nincs további megkötés_
