# Zraszacze

Franio opiekuje się przepięknym ogrodem, mającym postać grzędy (podłużnego pola), 
na której rośnie $M$ kwiatów.
Na grzędzie Franio umieścił również $N$ zraszaczy, aby zadbać o irygację.

Lokacje zraszaczy są podane jako liczby $s_{1},\ldots,s_{N}$,
pozycje kwiatów jako liczby $f_{1},\ldots,f_{M}$.
Zachodzi:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Franio wkrótce wyruszy na CEOI 2024.
Chciałby upewnić się, że wszystkie kwiaty będą podlewane pod jego nieobecność.
Aby to osiągnąć, ustawia każdy ze zraszaczy w stronę lewego lub prawego krańca grzędy (każdy ustawia osobno) oraz ustawia ciśnienie wody – jako, że zraszacze są podłączone do tego samego węża ogrodowego, zgodnie z prawem Pascala mają ten sam zasięg zraszania.

Jeśli zasięg zraszania to $K$, a $i$-ty zraszacz jest obrócony w lewo, 
będzie on nawadniał wszystkie kwiaty o pozycjach od $s_{i} - K$ do $s_{i}$ (włącznie).
Podobnie, jeśli rzeczony zraszacz obrócony jest w prawo, 
będzie podlewał kwiaty o pozycjach od $s_{i}$ do $s_{i} + K$ (również włącznie). 
Pojedynczy zraszacz może nawadniać wiele kwiatów. Dzięki wybitnej chłonności gleby zastonowanej przez Frania, pojedynczy kwiat może być podlewany przez dowolną liczbę zraszaczy, bez ryzyka gnicia.

Twoim zadaniem jest określenie, czy istnieje taki zasięg zraszania $K$ i taka konfiguracja zraszaczy, która umożliwi podlewanie wszystkich kwiatów.
Jeśli tak, podaj minimalny zasięg zraszania $K$, który na to pozwoli. 
Musisz też podać konfigurację zraszaczy.
Jeśli istnieje wiele takich konfiguracji, podaj dowolną.

## Wejście
W pierwszym wierszu wejścia znajdą się dwie liczby całkowite $N$ i $M$.
Drugi wiersz zawierać będzie liczby całkowite $s_{1},\ldots,s_{N}$ – pozycje zraszaczy.
Trzeci wiersz zawierać będzie liczby całkowite $f_{1},\ldots,f_{M}$ – pozycje kwiatów.

## Wyjście
Jeśli nie da się nawodnić zraszaczami wszystkich kwiatów, 
wypisz jeden wiersz zawierający liczbę `-1`.

W przeciwnym wypadku wyjście powinno składać się z dwóch wierszy.
W pierwszym wypisz liczbę $K$ – minimalny zasięg zraszania, który pozwoli podlać wszystkie kwiaty.
W drugim wierszu wypisz ciąg $c$ o długości $N$ – jeśli $i$-ty zraszacz ma być skierowany w lewo, znakiem $c_i$ powinno być `L`, w przeciwnym wypadku `R`.

## Przykłady

### Przykład 1
Wejście:
```
3 3
10 10 10
5 11 16
```

Wyjście:
```
6
LLR
```

Podane rozwiązanie jest poprawne – każdy kwiat jest podlewany przez co najmniej jeden zraszacz.
Zasięg mniejszy niż 6 nie jest możliwy, bo kwiat na pozycji 16 jest oddalony o 6 od najbliższego zraszacza.

### Przykład 2
Wejście:
```
1 2
1000
1 2000
```

Wyjście:
```
-1
```

Jeden zraszacz nie podleje obu kwiatów.

## Ograniczenia
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (dla $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (dla $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ dla $i \leq j$
- $f_{i} \leq f_{j}$ dla $i \leq j$

## Podzadania

1. (3 punkty) $N = 1$
2. (6 punktów) $N = 3x$ dla pewnej liczby naturalnej $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ (dla $0 \leq i \leq x-1$)
3. (17 punktów) $N \leq 10, M \leq 1\,000$
4. (27 punktów) $K \leq 8$
   (tj. istnieje konfiguracja zraszaczy, która podleje wszystkie kwiaty dla zasięgu zraszania 8)
5. (47 punktów) _brak dodatkowych ograniczeń_
