# Sprinklers

Vlad are o frumoasă grădină ce constă în $M$ flori plantate pe o singură linie.
Pe această linie, Vlad are amplasate și $N$ stropitori pentru florile sale.

Pozitița stropitorilor este dată de numerele $s_{1},\ldots,s_{N}$.
Pozițiile florilor sunt date de numerele $f_{1},\ldots,f_{M}$.
Ambele șiruri sunt date în ordine crescătoare:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Vlad pleacă la CEOI curând. El ar dori să se asigure că toate florile sunt udate corespunzător cât timp este plecat. Pentru a face asta, el orientează în mod individual fiecare stropitoare către stânga sau către dreapta, și alege o putere de stropire — toate stropitorile sunt alimentate prin același furtun, deci au aceeași putere de stropire.

Dacă puterea de stropire este $K$ și a $i$-a stropitoare este orientată către stânga,
va uda toate florile cuprinse între pozițiile $s_{i} - K$ și $s_{i}$ (inclusiv).
În mod similar, dacă a $j$-a stropitoare este orientată către dreapta, va uda toate florile cuprinse între pozițiile $s_{j}$ și $s_{j} + K$ (inclusiv). O singură stropitoare poate uda mai multe flori, iar o singură floare poate fi udată de mai multe stropitori.

Sarcina ta este să găsești puterea minimă de stropire pentru a uda toate florile, cât și o orientare a stropitorilor, sau să determini dacă este imposibil.

Dacă există mai multe configurații posibile pentru stropitori, poate fi afișată oricare dintre ele.

## Input
Prima linie din input va conține două numere întregi: $N$ și $M$ separate prin câte un spațiu.
A doua linie conține $N$ numere întregi $s_{1},\ldots,s_{N}$ — pozițiile stropitorilor.
A treia linie conține $M$ numere întregi $f_{1},\ldots,f_{M}$ — pozițiile florilor.

## Output
Dacă nu este posibil să fie udate toate florile, afișați $-1$.

Dacă este posibil, trebuie afișate două linii.
Pe prima linie, afișați un număr $K$ – puterea minimă de stropire necesară pentru a uda toate florile. Pe a doua linie, afișați un șir de caractere $c$ de lungime $N$, astfel încat $c_i$ este egal cu `L` dacă a $i$-a stropitoare trebuie întoarsă către stânga și `R` altfel.

## Exemple

### Exemplul 1
Input:
```
3 3
10 10 10
5 11 16
```

Output:
```
6
LLR
```

Soluția dată este validă — fiecare floare este udată de cel puțin o stropitoare.
Nu se poate obține o putere de stropire mai mică de 6, deoarece floarea de la locația 16 este la 6 unități depărtare de cea mai apropiată stropitoare.

### Exemplul 2
Input:
```
1 2
1000
1 2000
```

Output:
```
-1
```

Cel mult o floare poate fi udată la un moment de timp indiferent de orientarea stropitorilor.

## Restricții
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (oricare ar fi $i$ astfel încât $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (oricare ar fi $i$ astfel încât $1 \leq i \leq N$)
- $s_{i} \leq s_{j}$ pentru orice $i \leq j$
- $f_{i} \leq f_{j}$ pentru orice $i \leq j$

## Grupe

1. (3 puncte) $N = 1$
2. (6 puncte) $N = 3x$ unde $x$ e un număr întreg, iar $s_{3i+1}=s_{3i+2}=s_{3i+3}$ (oricare ar fi $i$ astfel încât $0 \leq i \leq x-1$) (adică stropitorile sunt grupate câte trei)
3. (17 puncte) $N \leq 10, M \leq 1\,000$
4. (27 puncte) $K \leq 8$
   (i.e., în toate testele, există o configurație astfel încât să poată fi udate toate florile folosind o putere de stropire de cel mult 8)
5. (47 puncte) _fără alte constrângeri_
