# Krtkove kvetinky

Krtko má záhradku. Na záhradke má $M$ kvetiniek zasadených na jednej čiare.
Krtko je ale celkom lenivý a o záhradku sa mu nechce starať. Preto na tú istú čiaru osadil $N$ automatických zavlažovačov, aby polievali kvetinky za neho.

Pozície zavlažovačov sú dané postupnosťou čísel $s_{1},\ldots,s_{N}$.
Pozície kvetiniek sú dané postupnosťou čísel $f_{1},\ldots,f_{M}$. 
Obe postupnosti sú neklesajúce, teda:

- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Na jednej pozícii môžu byť aj kvetinky, aj zavlažovače.

Krtko potrebuje zabezpečiť, aby každá kvetinka bola polievaná aspoň jedným zavlažovačom. Každý zavlažovač môže byť otočený buď doprava, alebo doľava. Okrem toho môže Krtko ovládať dostrek všetkých zavlažovačov súčasne - sú napojené na jednej hadici, a čím viac vody do nej Krtko pustí, tým väčší tlak bude v hadici, a teda zavlažovače budú mať väčší dostrek. Keďže nie sme fyzici, každý zavlažovač má rovnaký dostrek.

Označme dostrek každého zavlažovača $K$. Ak je $i$-ty zavlažovač otočený doľava, polieva všetky kvetinky na pozíciách $s_{i} - K$ až $s_{i}$ (vrátane oboch okrajov).
Podobne, ak $j$-ty zavlažovač je otočený doprava, polieva všetky kvetinky na pozíciách $s_{j}$ až $s_{j} + K$ (tiež vrátane oboch okrajov). Jeden zavlažovač môže polievať viacero kvetiniek a jedna kvetinka môže byť polievaná viacerými zavlažovačmi.

Krtko je veľmi šetrný a preto chce, aby dostrek zavlažovačov bol čo najmenší, a teda aby spotreboval čo najmenej vody (samozrejme, musia polievať každú kvetinku). Potrebuje však písať diplomovku a tak nemá čas babrať sa s tým, ako otočiť jednotlivé zavlažovače. Tu prichádzate na pomoc vy.

Zistite, či je možné nastaviť zavlažovače tak, aby polievali všetky kvetinky. Ak áno, nájdite najmenší dostrek potrebný na zavlažovanie všetkých kvetiniek, spolu s tým, ako treba otočiť jednotlivé zavlažovače. Ak je možností otočenia zavlažovačov pri najmenšom možnom dostreku viacero, vypíšte ľubovoľnú možnosť.
## Vstup
Na prvom riadku sú dve celé čísla $N$ a $M$, oddelené medzerou.

Na druhom riadku je $N$ celých čísel $s_{1},\ldots,s_{N}$ oddelených medzerami— pozície zavlažovačov.

Na treťom riadku je $M$ celých čísel $f_{1},\ldots,f_{N}$ oddelených medzerami— pozície kvetiniek.

## Výstup
Ak sa nedajú zavlažovať všetky kvetinky, vypíšte číslo $-1$.

Ak sa dajú, výstup by mal mať dva riadky.
Na prvom riadku vypíšte číslo $K$ – najmenší dostrek potrebný na zavlažovanie všetkých kvetiniek.
Na druhom riadku vypíšte reťazec $c$ dĺžky $N$, kde $c_i$ je `L`, ak má $i$-ty zavlažovač byť otočený doľava, a `R`, ak doprava.

## Príklady

### Príklad 1
Vstup:
```
3 3
10 10 10
5 11 16
```

Výstup:
```
6
LLR
```

Dané riešenie je korektné – každá kvetinka je polievaná aspoň jedným zavlažovačom. Dostrek menší ako 6 nie je možný, lebo kvetinka na pozícii 16 je vzdialená 6 od najbližšieho zavlažovača.

### Príklad 2
Vstup:
```
1 2
1000
1 2000
```

Výstup:
```
-1
```

Najviac jedna kvetinka naraz môže byť polievaná, bez ohľadu na otočenie jediného zavlažovača.

## Obmedzenia
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (pre každé $i$, kde $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (pre každé $i$, kde $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ pre všetky $i \leq j$
- $f_{i} \leq f_{j}$ pre všetky $i \leq j$

##  Podúlohy

1. (3 body) $N = 1$
2. (6 bodov) $N = 3x$ pre nejaké kladné celé číslo číslo $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ (pre každé $i$, kde $0 \leq i \leq x-1$); inak povedané, zavlažovače sú vždy v skupinkách po troch na jednom mieste
3. (17 bodov) $N \leq 10, M \leq 1\,000$
4. (27 bodov) $K \leq 8$
   (určite existuje také otočenie zavlažovačov, že polievajú všetky kvetinky, pričom dostrek je najviac 8)
5. (47 bodov) _žiadne ďalšie obmedzenia_
