# Škropilci

Jan ima čudovit cvetlični vrt, sestavljen iz $M$ cvetlic, posajenih v vrsti. V isti vrsti je postavil $N$ škropilcev za zalivanje rož.

Položaji škropilcev so podani s števili $s_{1},\ldots,s_{N}$,
položaji rož pa s števili $f_{1},\ldots,f_{M}$.
Oboje je podano v nepadajočem vrstnem redu:
- $s_{1}\leq s_{2}\leq\ldots\leq s_{N}$
- $f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Jan bo kmalu odšel na CEOI. Da bi zagotovil uspešno metamorfozo rož med svojo odsotnostjo, mora pokrbeti, da bodo vse rože ustrezno zalivane. V ta namen obrne vsak škropilec v levo ali desno in nastavi njihovo skupno moč škropljenja, ki je za vse škropilce enaka, saj uporabljajo isto cev za vodo.

Označimo moč škropljenja s $K$. Če je $i$-ti škropilec obrnjen v levo, bo zalival vse rože s položaji med vključno $s_{i} - K$ in $s_{i}$. Podobno, če je $j$-ti škropilec obrnjen v desno, bo zalival vse rože s položaji med vključno $s_{j}$ in $s_{j} + K$. Posamezen škropilec lahko zaliva več rož, prav tako lahko eno rožo zaliva več škropilcev.

Tvoj program naj se odloči, ali je mogoče škropilce razporediti tako, da bodo vse rožice srečno zalite, ali ne. Če je mogoče, najdi eno od razporeditev škropilcev.

## Vhodni podatki
Prva vrstica vsebuje dve s presledkom ločeni celi števili $N$ in $M$.<br>Druga vrstica vsebuje $N$ s presledki ločenih celih števil $s_{1},\ldots,s_{N}$ – položaje škropilcev.<br>
Tretja vrstica vsebuje $M$ celih števil $f_{1},\ldots,f_{M}$ – položaje rožic.

## Izhodni podatki
Če ni mogoče zaliti vseh rož, izpiši $-1$.

Če je mogoče, mora biti izpis sestavljen iz dveh vrstic.
V prvi vrstici izpiši število $K$ – najmanjšo moč škropljenja, ki je potrebna za zalivanje
vseh rož. V drugi vrstici izpiši niz $c$ dolžine $N$, tako da je $c_i$ enak `L`
če je treba $i$-ti škropilec obrniti v levo, in `R`, če v desno.


## Primeri

### 1. primer
Vhod:
```
3 3
10 10 10
5 11 16
```

Izhod:
```
6
LLR
```

Dana rešitev je veljavna, saj vsako rožo zaliva vsaj en škropilec. Ni mogoče, da bi bila moč škropljenja manjša od 6, 
ker je cvet na lokaciji 16 od najbližjega škropilca oddaljen 6 enot.


### 2. primer
Vhod:
```
1 2
1000
1 2000
```

Izhod:
```
-1
```

Naenkrat lahko zalivamo največ eno rožo,
ne glede na usmerjenost edinega škropilca.

<div style='page-break-after: always'></div>

## Omejitve
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (za vsak $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (za vsak $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ za vse $i \leq j$
- $f_{i} \leq f_{j}$ za vse $i \leq j$

## Podnaloge

1. (3 točke) $N = 1$
2. (6 točk) $N = 3x$ za neko pozitivno celo število $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$, za vsak $0 \leq i \leq x-1$. (Škropilci so vedno postavljeni v skupinah po tri.)
3. (17 točk) $N \leq 10, M \leq 1\,000$
4. (27 točk) $K \leq 8$
   (Za vsak testni primeri bo obstajala razporeditev škropilcev, da bo moč 8 dovolj za zalivanje vseh rož.)
5. (47 točk) _brez dodatnih omejitev_
