# Розпилювачі та запах свіжості
Вацлав пекар і використовує інгридієнти, які самі і вирощує. Наш герой має гарний город, що складається з $M$ пахучих рослин, посаджених на одній лінії. На цій лінії Вацлав також розмістив $N$ розпилювачів для поливу своїх рослин.

Позиції розпилювачів задані числами $s_{1},\ldots,s_{N}$.

Позиції рослин задані числами $f_{1},\ldots,f_{M}$.

Обидва ряди дані в неспадному порядку, тобто:

$s_{1}\leq s_{2}\leq\ldots\leq s_{N}$

$f_{1}\leq f_{2}\leq\ldots\leq f_{M}$

Проблема його городу в тому, що на ньому не можна залишатися надто довго.. інакше наслідки запаху рослин можуть бути непередбачувані. Тому він повинен виконати певну підготовку до сезону цвітіння, щоб забезпечити автономний полив всіх рослин. Для цього він по черзі повертає кожен розпилювач вліво або вправо і налаштовує їхню потужність розпилення — всі поливачі використовують один і той же шланг для водопостачання, тому вони поливають на однакову відстань. 

Якщо потужність розпилення дорівнює $K$ і $i$-й розпилювач повернутий вліво, він поливатиме всі рослини, розташовані на проміжку $[s_{i} - K$ ,$s_{i}]$. Аналогічно, якщо $j$-й розпилювач повернутий вправо, він поливатиме всі рослини, розташовані на проміжку $[s_{j}$, $s_{j} + K]$. Один розпилювач може поливати кілька рослин, і одна рослина може бути политою кількома розпилювачами.

Ваше завдання полягає в тому, щоб вирішити, чи можливо забезпечити достатню потужність для поливу всіх рослин. Якщо так, вам потрібно знайти мінімально необхідну потужність розпилення разом з відповідною конфігурацією розпилювачів. Якщо існує кілька допустимих конфігурацій з мінімальною потужністю розпилення, виведіть будь-яку з них.

## Формат вхідних даних
Перший рядок вхідних даних містить два цілі числа: $N$ і $M$, розділені пробілом.

Другий рядок містить $N$ цілих чисел $s_{1},\ldots,s_{N}$ — позиції розпилювачів.

Третій рядок містить $M$ цілих чисел $f_{1},\ldots,f_{M}$ — позиції рослин.

## Формат вихідних даних
Якщо полити всі рослини неможливо, виведіть число $-1$.

Якщо це можливо, вихідні дані повинні складатися з двох рядків.

У першому рядку виведіть число $K$ — мінімальну потужність розпилення, необхідну для поливу всіх рослин. 

У другому рядку виведіть рядок $c$ довжиною $N$, де $c_i$ дорівнює L, якщо $i$-й розпилювач повинен бути повернутий вліво, і R інакше.

## Приклади
### Приклад 1
Вхідні дані:
```
3 3
10 10 10
5 11 16
```

Вихідні дані:
```
6
LLR
```

Дане рішення є правильним — кожна квітка полита хоча б одним розпилювачем. Менша потужність розпилення ніж 6 неможлива, оскільки квітка на позиції 16 знаходиться на відстані 6 одиниць від найближчого розпилювача.
<div style='page-break-after: always'></div>

### Приклад 2
Вхідні дані:
```
1 2
1000
1 2000
```

Вихідні дані:
```
-1
```

Полити одночасно можна максимум одну рослину, незалежно від орієнтації єдиного розпилювача.

## Обмеження
- $1 \leq N,M \leq 10^5$
- $0 \leq s_{i} \leq 10^9$ (для кожного $i$ такого, що $1 \leq i \leq N$)
- $0 \leq f_{i} \leq 10^9$ (для кожного $i$ такого, що $1 \leq i \leq M$)
- $s_{i} \leq s_{j}$ для всіх $i \leq j$
- $f_{i} \leq f_{j}$ для всіх $i \leq j$

## Підзадачі

1. (3 бали) $N = 1$
2. (6 балів) $N = 3x$ для якогось цілого числа $x$, $s_{3i+1}=s_{3i+2}=s_{3i+3}$ для кожного $i$ такого, що $0 \leq i \leq x-1 $ (тобто розпилювачі завжди розташовані групами по-троє)
3. (17 балів) $N \leq 10, M \leq 1\,000$
4. (27 балів) $K \leq 8$ (тобто в усіх тестах існує така конфігурація розпилювачів, що
потужності розпилення 8 достатньо для поливу всіх рослин)
5. (47 балів) _без додаткових обмежень_
